Subject: Re: bug#11034: Binutils, GDB, GCC and Automake's 'cygnus' option

From: Joern Rennecke <[email-masked]>
Date: Tue, 03 Apr 2012 04:22:40 -0400

Quoting Stefano Lattarini <[email-masked]>:

> By looking at the 'handle_texinfo_helper' function in the automake script,
> I suspect adding a new Automake option 'info-in-builddir' (say) and an
> handful of lines to the automake script might be enough to give you an easy
> way to force the '.info' files to be generated in the builddir.  But before
> doing so, I'd like to understand why you want so strongly to support such
> a setup.

It is quite common during development / testing to build multiple
configurations simultaneously from the same sources, with separate
make processes.  Writing to the source directory would cause disastrous
race conditions.